_G[gTable] = {};

local aTmpVal = gTable;
cm.SetupTable(_G[aTmpVal]);


-- Called on Init
_G[gTable].OnInit = function(pObj)
	pObj.mState = 0;
end

-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)

end


-- Called on a update
_G[gTable].OnUpdate = function(pObj)

end


-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName, pActorObj, pPolyNum, pX, pY)

   pObj.mDiscovered = true;

   -- See if the lever has been activated
   if not cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then

      if pName == "" then
         cm.GetShowInfo(pObj, "InfoStr1", "InfoTime1");
         IcPlaySample("PH_SFX_DOES_NOT_WORK");
      else
         cm.ObjDoesNotWork(pObj);
         pObj.mPdata:UnMouseObject();
      end
      return true;

   end

	pObj.mDiscovered = true;
	if pName == "" then

      if pObj.mState == 0 then
         pObj:StartFadeRects(PhFadeAnotherTimeShort);
         pObj.mState    = pObj.mState   + 1;
         pObj.mCurCell  = pObj.mCurCell + 1;

         cm.DisableObject(pObj);
         cm.SetGlobalValIndirect(pObj, "SetFlag1", true);
         IcPlaySample("PH_SFX_MACHINEBUTTONPRESSED");
         return true;
      end
		return false;

	else
		cm.ObjDoesNotWork(pObj);
		return false;
	end

	return false;

end


-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

	local aImg  = IcImageWrap(pObj.mSmallImage);
	assert(aImg);
	local aRpos = pObj.mSmPos;
	local aRect = aImg:GetCelRect(pObj.mCurCell);
	pG:DrawImage(aImg:GetImage(), aRpos.x, aRpos.y, aRect);

end




